Subject: Re: bug#2588: 23.0.90; Man buffer improperly formatted - wrong width

From: Stefan Monnier <[email-masked]>
Date: Sun, 08 Mar 2009 15:43:39 -0400

>> We could try to fix this: I think it would actually be desirable to pop
>> up the frame immediately and then asynchronously fill it as man's output
>> comes in.
>> 
>> This said, we could also just remove the COLUMNS business.
>> Who introduced this COLUMNS thingy and what was the motivation for it?

> This is explained in the code comments: it's required to ensure that the
> output of the manpage formatter has the same number of columns as the
> Emacs window/frame.

Well, that part I understood, even without the comment ;-)
The question is: what was the motivation to adjust the number of columns
to that of the Emacs window/frame?

        Stefan